<ui>
  <menubar name="MainMenu">
    <menu name="FileMenu" action="FileMenuAction">
      <menuitem name="New" action="NewAction" />
      <menuitem name="Open" action="OpenAction" />
      <separator/>
      <menuitem name="Save" action="SaveAction" />
      <menuitem name="SaveAs" action="SaveAsAction" />
      <menuitem name="SaveAll" action="SaveAllAction" />
      <separator/>
      <menuitem name="Print" action="PrintAction" />
      <separator/>
      <menuitem name="Properties" action="PropertiesAction" />
      <separator/>
      <separator/>
      <menuitem name="Close" action="CloseAction" />
      <menuitem name="CloseAll" action="CloseAllAction" />
      <separator/>
      <menuitem name="Quit" action="QuitAction" />
      <placeholder name="FileMenuAdditions" />
    </menu>
    <menu name="EditMenu" action="EditMenuAction">
      <menuitem name="Undo" action="UndoAction"/>
      <menuitem name="Redo" action="RedoAction"/>
      <separator/>
      <menuitem name="Cut" action="CutAction"/>
      <menuitem name="Copy" action="CopyAction"/>
      <menuitem name="Paste" action="PasteAction"/>
      <separator/>
      <menuitem name="SelectAll" action="SelectAllAction"/>
      <menuitem name="Complete" action="CompleteAction"/>
      <separator/>
      <menuitem name="ToggleReadonly" action="ToggleReadonlyAction"/>
      <separator/>
      <menuitem name="Find" action="FindAction"/>
      <menuitem name="Replace" action="ReplaceAction"/>
      <separator/>
      <menuitem name="GoToLine" action="GoToLineAction"/>
      <separator/>
      <menuitem name="Preferences" action="PreferencesAction"/>
    </menu>
    <menu name="ViewMenu" action="ViewMenuAction">
      <menuitem name="Toolbar" action="ToolbarAction"/>
      <menuitem name="Statusbar" action="StatusbarAction"/>
      <separator/>
    </menu> 
	<menu name="ToolsMenu" action="ToolsMenuAction">
    </menu>
    <menu name="HelpMenu" action="HelpMenuAction">
    	<menuitem name="Contents" action="ContentsAction"/>
        <menuitem name="About" action="AboutAction"/>
    </menu>
    
  </menubar>
  
  <toolbar name="MainToolbar" action="MainMenuBarAction">
      <separator/>
      <toolitem name="New" action="NewAction"/>
      <toolitem name="Open" action="OpenAction"/>
      <toolitem name="Close" action="CloseAction"/>
      <toolitem name="Save" action="SaveAction"/>
      <toolitem name="Print" action="PrintAction"/>
      <separator/>
      <toolitem name="Undo" action="UndoAction"/>
      <toolitem name="Redo" action="RedoAction"/>
      <separator/>
      <toolitem name="Cut" action="CutAction"/>
      <toolitem name="Copy" action="CopyAction"/>
      <toolitem name="Paste" action="PasteAction"/>
      <separator/>
      <toolitem name="Find" action="FindAction"/>
      <toolitem name="Replace" action="ReplaceAction"/>
      <separator/>
      <toolitem name="GoToLine" action="GoToLineAction"/>
  </toolbar>
</ui>
